Bug 160871 - Printer crashes when print thrice from Mozilla. Restarting cups brings it back
Printer crashes when print thrice from Mozilla. Restarting cups brings it back
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
Printer crashes when printing thrice ...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-17 17:37 EDT by della steve
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:59:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cups error_log (857.12 KB, text/plain)
2005-07-13 15:45 EDT, della steve
no flags Details

  None (edit)
Description della steve 2005-06-17 17:37:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.7.8-1.1.3.1

Description of problem:
Printing gets interrupted when 3 print jobs are given from Mozilla consecutively

Printer crashes with message:   lpq: get-jobs failed: server-error-service-unavailable".
Also If I try to open Print Manager on the desktop, I get a message
about "no printers set up - would you like to run Print
Configuration?

Version-Release number of selected component (if applicable):
cups-1.1.17-13.3.27

How reproducible:
Always

Steps to Reproduce:
1.Open Mozilla/Firefox browser
2.Click on Filemenu and click on Print submenu.
3.Click print on Print dialog box. 
4.Repeat step 2 and 3, three times
5.Open a terminal and type lpq
  

Actual Results:  In step -5 above, it gives" lpq: get-jobs failed: server-error-service-unavailable".
Printer breaks when print jobs are given from Mozilla 3 (or more)times in a row.
Also If I try to open Print Manager on the desktop, I get a message
about "no printers set up - would you like to run Print
Configuration?

If 1 wait 3-5 mts, printer comes back . eg lpq gives <printer> ready , no entries
If I restart cups also, printer will come back.

Expected Results:  Printer should continue printing even when three or more print jobs are given consecutively from Mozilla.

Additional info:

If I wait 3-5 mts, printer comes back . eg lpq gives <printer> ready , no entries
If I restart cups also, printer will come back.
Comment 1 Tim Waugh 2005-06-20 05:43:03 EDT
How have you configured your printer queue?  Did you use the
redhat-config-printer configuration tool?  If so, please attach the output of
'printconf-tui --Xexport', making sure to replace any passwords it may contain
with "*"s.
Comment 2 della steve 2005-06-20 16:07:20 EDT
(In reply to comment #1)
I am attaching the output of the requested command below. 

sudo printconf-tui --Xexport

Password:
<?xml version="1.0"?>
<adm_context VERSION="0">
  <id NAME="local" SERIAL="1089920145">
    <null/>
    <null/>
    </id>
  <datatree>
    <printconf TYPE="LIST">
      <print_queues TYPE="LIST">
        <bob ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
            </alias_list>
          <queue_description TYPE="STRING" VALUE="nondescript"/>
          <lpoptions TYPE="LIST">
            <page-bottom TYPE="STRING" VALUE="36"/>
            <cpi TYPE="STRING" VALUE="12"/>
            <lpi TYPE="STRING" VALUE="7"/>
            <scaling TYPE="STRING" VALUE="100"/>
            <page-right TYPE="STRING" VALUE="36"/>
            <page-left TYPE="STRING" VALUE="36"/>
            <wrap TYPE="STRING" VALUE="true"/>
            <page-top TYPE="STRING" VALUE="36"/>
            </lpoptions>
          <queue_type TYPE="STRING" VALUE="LPD"/>
          <queue_data TYPE="LIST">
            <lpd_server TYPE="STRING" VALUE="refuge.colorado.edu"/>
            <lpd_queue TYPE="STRING" VALUE="bob"/>
            <lpd_strict_rfc1179 TYPE="BOOL" VALUE="FALSE"/>
            </queue_data>
          <filter_data TYPE="LIST">
            <mf_type TYPE="STRING" VALUE="MFOMATIC"/>
            <flags TYPE="LIST">
              <assume_data_is_text TYPE="BOOL" VALUE="FALSE"/>
              <rerender_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
              </flags>
            <printer_id TYPE="STRING" VALUE="91232"/>
            <gs_driver TYPE="STRING" VALUE="Postscript"/>
            <foomatic_defaults ANONYMOUS="TRUE" TYPE="LIST">
              </foomatic_defaults>
            </filter_data>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
          </bob>
        <bob1 ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
            </alias_list>
          <queue_description TYPE="STRING" VALUE="puts ink onto paper with
lasers!"/>
          <lpoptions TYPE="LIST">
            <page-bottom TYPE="STRING" VALUE="36"/>
            <cpi TYPE="STRING" VALUE="12"/>
            <lpi TYPE="STRING" VALUE="7"/>
            <scaling TYPE="STRING" VALUE="100"/>
            <page-right TYPE="STRING" VALUE="36"/>
            <page-left TYPE="STRING" VALUE="36"/>
            <wrap TYPE="STRING" VALUE="true"/>
            <page-top TYPE="STRING" VALUE="36"/>
            </lpoptions>
          <queue_type TYPE="STRING" VALUE="LPD"/>
          <queue_data TYPE="LIST">
            <lpd_server TYPE="STRING" VALUE="refuge.colorado.edu"/>
            <lpd_queue TYPE="STRING" VALUE="bob1"/>
            <lpd_strict_rfc1179 TYPE="BOOL" VALUE="FALSE"/>
            </queue_data>
          <filter_data TYPE="LIST">
            <mf_type TYPE="STRING" VALUE="MFOMATIC"/>
            <flags TYPE="LIST">
              <assume_data_is_text TYPE="BOOL" VALUE="FALSE"/>
              <rerender_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
              </flags>
            <printer_id TYPE="STRING" VALUE="91232"/>
            <gs_driver TYPE="STRING" VALUE="Postscript"/>
            <foomatic_defaults ANONYMOUS="TRUE" TYPE="LIST">
              </foomatic_defaults>
            </filter_data>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
          </bob1>
        </print_queues>
      </printconf>
    </datatree>
  </adm_context>


Comment 3 Tim Waugh 2005-06-30 07:51:35 EDT
This might well be another instance of bug #161952.

Would you be willing to try some experimental CUPS packages to test this theory out?
Comment 4 della steve 2005-07-05 16:28:52 EDT
I am ready to try experimental CUPS packages.
Please let me know how to goahead.




(In reply to comment #3)
> This might well be another instance of bug #161952.
> 
> Would you be willing to try some experimental CUPS packages to test this
theory out?

Comment 5 Tim Waugh 2005-07-06 07:29:38 EDT
There are two sets of packages to try.

The first set I would like you to try fixes several problems which might or
might not be related to this issue.  I would like you to try these packages
first so that we can eliminate these other known bugs from the equation.

Please download the 1.1.17-13.3.27.0.0.6 packages from here:

  ftp://people.redhat.com/twaugh/tmp/cups-rhel3/i386/1.1.17-13.3.27.0.0.6/

and install them using 'rpm -Fvh cups-*.rpm'.  Then restart cups using 'service
cups restart'.

Does the problem still happen?
Comment 6 della steve 2005-07-07 15:07:33 EDT
I installed 1.1.17-13.3.27.0.0.6 packages and restarted cups using the given
commands .

The bug is still reproducible .
Comment 7 Tim Waugh 2005-07-07 15:39:43 EDT
Okay.  Now please download the 1.1.17-13.3.27.0.0.7 packages from here:

  ftp://people.redhat.com/twaugh/tmp/cups-rhel3/i386/1.1.17-13.3.27.0.0.7/

and install them using 'rpm -Fvh cups-*.rpm'.  Then restart cups using 'service
cups restart'.

How about now?
Comment 8 della steve 2005-07-13 12:28:23 EDT
I installed 1.1.17-13.3.27.0.0.7 packages and restarted cups 

The bug is still reproducible 
Comment 9 Tim Waugh 2005-07-13 12:53:58 EDT
Okay, so this seems to be unrelated to bug #161952.

Please edit /etc/cups/cupsd.conf and change the 'LogLevel' line to:

LogLevel debug2

Then stop cups:

  service cups stop

Then empty the error log file:

  >/var/log/cups/error_log

Then start cups again:

  service cups start

Then cause this bug to occur again, and attach the /var/log/cups/error_log file
you get.  Thanks.
Comment 10 della steve 2005-07-13 15:45:27 EDT
Created attachment 116717 [details]
cups error_log
Comment 11 Tim Waugh 2005-07-26 08:03:14 EDT
To avoid denial of service attacks, CUPS imposes an upper limit on the number of
simultaneous connections allowed from any one host, including localhost.  This
number defaults to 10, and in this instance the limit is reached.

This is due to some IPP client connecting, making a query, and then leaving the
connection open.  These connections are timed out after 5 minutes.

Both the number of simultaneous connections allowed per host, and the amount of
time before an idle connection is dropped, are configurable in cupsd.conf.

You said that you are using "Mozilla/Firefox" -- do you mean Mozilla, or Mozilla
Firefox?  If Mozilla, what does 'rpm -q mozilla' say?

(If Mozilla Firefox, as far as I'm aware that is not something we have shipped
for Red Hat Enterprise Linux 3.)

So CUPS is functioning correctly here.  It is the client at fault, presumably 
in the web browser.
Comment 12 della steve 2005-08-02 16:32:42 EDT
The bug is reproducible when 'print to a printer as well as a File' with default
values for maxclient perhost and timeout
Comment 13 della steve 2005-08-03 15:32:24 EDT
The bug is reproducible when 'print to a printer as well as a File' with default
values for maxclient perhost and timeout
Comment 14 della steve 2005-08-05 15:59:42 EDT
we tried different values for maxclientper host and timeout
For values of maxclient per host like 10,15,20,25,30,35 and timeout values
ranging from 100-300 , the printer will break within the 13th print job.

Note: The printer breaks even when print to a File and give the error :
"lpq: get-jobs failed: server-error-service-unavailable".

 For a value of maxclient per host =40 and timeout value of 100 it didn't break
till 20th print job. I didn't test further

I did a rpm -q mozilla and the result is mozilla-1.7.10-1.1.3.1

Comment 15 RHEL Product and Program Management 2007-10-19 14:59:49 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.